#include <iostream>

using namespace std;

short task (int x1, int x2, int y1, int y2)
{
   if (x1 - x2 == y1 - y2)
   {return 1;}
   else if (x1 == x2 || y1 == y2)
   {return 2;}
   else return 0;
}

int main()
{
    int x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    cout << task(x1, x2, y1, y2) << endl;
}